--- old/usr/src/man/man9f/Intro.9f	Wed Feb 26 14:23:23 2014
+++ new/usr/src/man/man9f/Intro.9f	Wed Feb 26 14:23:23 2014
@@ -1,10 +1,11 @@
 '\" te
-.\" Copyright 2012 Garrett D'Amore <garrett@damore.org>.  All rights reserved.
+.\" Copyright 2014 Pluribus Networks, Inc.
+.\" Copyright 2012 Garrett D'Amore <garrett@damore.org>.
 .\" Copyright (c) 2005, Sun Microsystems, Inc., All Rights Reserved
 .\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License.
 .\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.  See the License for the specific language governing permissions and limitations under the License.
 .\" When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH INTRO 9F "Feb 06, 2012"
+.TH INTRO 9F "Feb 26, 2014"
 .SH NAME
 Intro, intro \- introduction to DDI/DKI functions
 .SH DESCRIPTION
@@ -766,7 +767,6 @@
 \fBscsi_free_consistent_buf\fR	Solaris DDI
 \fBscsi_get_device_type_scsi_options\fR	Solaris DDI
 \fBscsi_get_device_type_string\fR	Solaris DDI
-\fBscsi_hba_attach\fR	Solaris DDI
 \fBscsi_hba_attach_setup\fR	Solaris DDI
 \fBscsi_hba_detach\fR	Solaris DDI
 \fBscsi_hba_fini\fR	Solaris DDI
--- old/usr/src/man/man9f/Makefile	Wed Feb 26 14:23:23 2014
+++ new/usr/src/man/man9f/Makefile	Wed Feb 26 14:23:23 2014
@@ -11,8 +11,9 @@
 
 #
 # Copyright 2011, Richard Lowe
-# Copyright 2012 Garrett D'Amore <garrett@damore>.  All rights reserved.
+# Copyright 2012 Garrett D'Amore <garrett@damore>.
 # Copyright 2013 Nexenta Systems, Inc.  All rights reserved.
+# Copyright 2014 Pluribus Networks, Inc.
 #
 
 include		$(SRC)/Makefile.master
@@ -1090,7 +1091,6 @@
 	 	samestr.9f				\
 	 	scsi_dmafree.9f				\
 	 	scsi_dname.9f				\
-	 	scsi_hba_attach.9f			\
 	 	scsi_hba_detach.9f			\
 	 	scsi_hba_fini.9f			\
 	 	scsi_hba_pkt_free.9f			\
@@ -1883,7 +1883,6 @@
 scsi_sense_cmdspecific_uint64.9f	:= LINKSRC = scsi_ext_sense_fields.9f
 scsi_sense_info_uint64.9f		:= LINKSRC = scsi_ext_sense_fields.9f
 
-scsi_hba_attach.9f			:= LINKSRC = scsi_hba_attach_setup.9f
 scsi_hba_detach.9f			:= LINKSRC = scsi_hba_attach_setup.9f
 
 scsi_hba_fini.9f			:= LINKSRC = scsi_hba_init.9f
--- old/usr/src/man/man9f/ddi_iomin.9f	Wed Feb 26 14:23:23 2014
+++ new/usr/src/man/man9f/ddi_iomin.9f	Wed Feb 26 14:23:23 2014
@@ -1,9 +1,10 @@
 '\" te
 .\" Copyright (c) 2006, Sun Microsystems, Inc.
+.\" Copyright 2014 Pluribus Networks, Inc.
 .\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License.
 .\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.  See the License for the specific language governing permissions and limitations under the License.
 .\" When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH DDI_IOMIN 9F "Apr 04, 2006"
+.TH DDI_IOMIN 9F "Feb 26, 2014"
 .SH NAME
 ddi_iomin \- find minimum alignment and transfer size for DMA
 .SH SYNOPSIS
@@ -38,10 +39,9 @@
 \fB\fIinitial\fR\fR
 .ad
 .RS 13n
-The initial minimum \fBDMA\fRtransfer size in bytes. This may be zero or an
-appropriate \fBdlim_minxfer\fR value for device's \fBddi_dma_lim\fR structure
-(see \fBddi_dma_lim_sparc\fR(9S) or \fBddi_dma_lim_x86\fR(9S)). This value must
-be a power of two.
+The initial minimum \fBDMA\fR transfer size in bytes. This may be zero or an
+appropriate \fBdlim_minxfer\fR value for the device's \fBddi_dma_attr\fR
+structure (see \fBddi_dma_attr\fR(9S)). This value must be a power of two.
 .RE
 
 .sp
@@ -59,7 +59,7 @@
 .SH DESCRIPTION
 .sp
 .LP
-The \fBddi_iomin()\fR function, finds out the minimum \fBDMA\fRtransfer size
+The \fBddi_iomin()\fR function, finds out the minimum \fBDMA\fR transfer size
 for the device pointed to by \fIdip\fR. This provides a mechanism by which a
 driver can determine the effects of underlying caches as well as intervening
 bus adapters on the granularity of a DMA transfer.
@@ -92,8 +92,7 @@
 .SH SEE ALSO
 .sp
 .LP
-\fBddi_dma_devalign\fR(9F), \fBddi_dma_setup\fR(9F), \fBddi_dma_sync\fR(9F),
-\fBddi_dma_lim_sparc\fR(9S), \fBddi_dma_lim_x86\fR(9S), \fBddi_dma_req\fR(9S)
+\fBddi_dma_attr\fR(9S), \fBddi_dma_sync\fR(9F)
 .sp
 .LP
 \fIWriting Device Drivers\fR
--- old/usr/src/man/man9f/get_pktiopb.9f	Wed Feb 26 14:23:23 2014
+++ new/usr/src/man/man9f/get_pktiopb.9f	Wed Feb 26 14:23:23 2014
@@ -3,7 +3,7 @@
 .\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License.
 .\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.  See the License for the specific language governing permissions and limitations under the License.
 .\" When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH GET_PKTIOPB 9F "Jan 16, 2006"
+.TH GET_PKTIOPB 9F "Feb 26, 2014"
 .SH NAME
 get_pktiopb, free_pktiopb \- allocate/free a SCSI packet in the iopb map
 .SH SYNOPSIS
@@ -186,7 +186,7 @@
 .SH SEE ALSO
 .sp
 .LP
-\fBattributes\fR(5), \fBddi_iopb_alloc\fR(9F),
+\fBattributes\fR(5),
 \fBscsi_alloc_consistent_buf\fR(9F), \fBscsi_free_consistent_buf\fR(9F),
 \fBscsi_pktalloc\fR(9F), \fBscsi_resalloc\fR(9F), \fBscsi_pkt\fR(9S)
 .sp
--- old/usr/src/man/man9f/scsi_hba_attach_setup.9f	Wed Feb 26 14:23:23 2014
+++ new/usr/src/man/man9f/scsi_hba_attach_setup.9f	Wed Feb 26 14:23:23 2014
@@ -1,5 +1,6 @@
 '\" te
 .\" Copyright (c) 2006 Sun Microsystems, Inc., All Rights Reserved
+.\" Copyright 2014 Pluribus Networks, Inc.
 .\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License.
 .\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.  See the License for the specific language governing permissions and limitations under the License.
 .\" When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
@@ -20,12 +21,6 @@
 
 .LP
 .nf
-\fBint\fR \fBscsi_hba_attach\fR(\fBdev_info_t *\fR\fIdip\fR, \fBddi_dma_lim_t *\fR\fIhba_lim\fR,
-     \fBscsi_hba_tran_t *\fR\fIhba_tran\fR, \fBint\fR \fIhba_flags\fR, \fBvoid *\fR\fIhba_options\fR);
-.fi
-
-.LP
-.nf
 \fBint\fR \fBscsi_hba_detach\fR(\fBdev_info_t *\fR\fIdip\fR);
 .fi
 
@@ -94,14 +89,7 @@
 .SH DESCRIPTION
 .sp
 .LP
-The \fBscsi_hba_attach_setup()\fR function is the recommended interface over
-the \fBscsi_hba_attach()\fR function.
-.SS "scsi_hba_attach_setup(\|) scsi_hba_attach(\|)"
-.sp
-.LP
-The \fBscsi_hba_attach()\fR function registers the \fIhba_lim\fR DMA limits and
-the \fIhba_tran\fR transport vectors of each instance of the HBA device defined
-by \fIdip\fR. The \fBscsi_hba_attach_setup()\fR function registers the
+The \fBscsi_hba_attach_setup()\fR function registers the
 \fIhba_dma_attr\fR DMA attributes and the \fIhba_tran\fR transport vectors of
 each instance of the HBA device defined by \fIdip\fR. The HBA driver can pass
 different DMA limits or DMA attributes and the transport vectors for each
@@ -108,10 +96,10 @@
 instance of the device to support any constraints imposed by the  HBA itself.
 .sp
 .LP
-The \fBscsi_hba_attach()\fR and \fBscsi_hba_attach_setup()\fR functions use the
+The \fBscsi_hba_attach_setup()\fR function uses the
 \fBdev_bus_ops\fR field in the \fBdev_ops\fR(9S) structure. The HBA driver
 should initialize this field to \fINULL\fR before calling
-\fBscsi_hba_attach()\fR or \fBscsi_hba_attach_setup()\fR.
+\fBscsi_hba_attach_setup()\fR.
 .sp
 .LP
 If \fBSCSI_HBA_TRAN_CLONE\fR is requested in \fIhba_flags\fR, the
@@ -132,7 +120,7 @@
 information on using these flags.
 .sp
 .LP
-The \fBscsi_hba_attach()\fR and \fBscsi_hba_attach_setup()\fR functions attach
+The \fBscsi_hba_attach_setup()\fR function attaches
 a number of integer-valued properties to \fIdip\fR, unless properties of the
 same name are already attached to the node. An HBA driver should retrieve these
 configuration parameters via \fBddi_prop_get_int\fR(9F), and respect any
@@ -284,13 +272,13 @@
 .SH RETURN VALUES
 .sp
 .LP
-The \fBscsi_hba_attach()\fR, \fBscsi_hba_attach_setup()\fR, and
+The \fBscsi_hba_attach_setup()\fR and
 \fBscsi_hba_detach()\fR functions return \fBDDI_SUCCESS\fR if the function call
 succeeds, and return \fBDDI_FAILURE\fR on failure.
 .SH CONTEXT
 .sp
 .LP
-The \fBscsi_hba_attach()\fR and \fBscsi_hba_attach_setup()\fR functions should
+The \fBscsi_hba_attach_setup()\fR function should
 be called from \fBattach\fR(9E). The \fBscsi_hba_detach()\fR function should be
 called from \fBdetach\fR(9E).
 .SH SEE ALSO
@@ -298,7 +286,7 @@
 .LP
 \fBattach\fR(9E), \fBdetach\fR(9E), \fBtran_setup_pkt\fR(9E),
 \fBtran_tgt_init\fR(9E), \fBddi_prop_get_int\fR(9F), \fBddi_dma_attr\fR(9S),
-\fBddi_dma_lim\fR(9S), \fBdev_ops\fR(9S), \fBscsi_address\fR(9S),
+\fBdev_ops\fR(9S), \fBscsi_address\fR(9S),
 \fBscsi_hba_tran\fR(9S)
 .sp
 .LP
@@ -309,7 +297,3 @@
 It is the HBA driver's responsibility to ensure that no more transport requests
 will be taken on behalf of any SCSI target device driver after
 \fBscsi_hba_detach()\fR is called.
-.sp
-.LP
-The \fBscsi_hba_attach()\fR function is obsolete and will be discontinued in a
-future release. This function is replaced by \fBscsi_hba_attach_setup()\fR.
--- old/usr/src/man/man9f/scsi_slave.9f	Wed Feb 26 14:23:23 2014
+++ new/usr/src/man/man9f/scsi_slave.9f	Wed Feb 26 14:23:23 2014
@@ -3,7 +3,7 @@
 .\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License.
 .\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.  See the License for the specific language governing permissions and limitations under the License.
 .\" When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH SCSI_SLAVE 9F "Sep 27, 2002"
+.TH SCSI_SLAVE 9F "Feb 26, 2014"
 .SH NAME
 scsi_slave \- utility for SCSI target drivers to establish the presence of a
 target
@@ -162,7 +162,7 @@
 .sp
 .LP
 \fBattributes\fR(5), \fBattach\fR(9E), \fBprobe\fR(9E),
-\fBddi_iopb_alloc\fR(9F), \fBmakecom\fR(9F), \fBscsi_dmaget\fR(9F),
+\fBmakecom\fR(9F), \fBscsi_dmaget\fR(9F),
 \fBscsi_ifgetcap\fR(9F), \fBscsi_pktalloc\fR(9F), \fBscsi_poll\fR(9F),
 \fBscsi_probe\fR(9F), \fBscsi_device\fR(9S)
 .sp
--- old/usr/src/man/man9s/Intro.9s	Wed Feb 26 14:23:23 2014
+++ new/usr/src/man/man9s/Intro.9s	Wed Feb 26 14:23:23 2014
@@ -1,10 +1,11 @@
 '\" te
+.\" Copyright 2014 Pluribus Networks, Inc.
 .\" Copyright (c) 2001, Sun Microsystems, Inc.,  All Rights Reserved.
 .\" Copyright 1989 AT&T
 .\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License.
 .\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.  See the License for the specific language governing permissions and limitations under the License.
 .\" When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH INTRO 9S "May 15, 2001"
+.TH INTRO 9S "Feb 26, 2014"
 .SH NAME
 Intro, intro \- introduction to kernel data structures and properties
 .SH DESCRIPTION
@@ -129,12 +130,6 @@
 _
 \fBddi_dma_cookie\fR	Solaris DDI
 _
-\fBddi_dma_lim_sparc\fR	Solaris SPARC DDI
-_
-\fBddi_dma_lim_x86\fR	Solaris x86 DDI
-_
-\fBddi_dma_req\fR	Solaris DDI
-_
 \fBddi_dmae_req\fR	Solaris x86 DDI
 _
 \fBddi_idevice_cookie\fR	Solaris DDI
--- old/usr/src/man/man9s/Makefile	Wed Feb 26 14:23:23 2014
+++ new/usr/src/man/man9s/Makefile	Wed Feb 26 14:23:23 2014
@@ -28,9 +28,6 @@
 	 	ddi_device_acc_attr.9s		\
 	 	ddi_dma_attr.9s			\
 	 	ddi_dma_cookie.9s		\
-	 	ddi_dma_lim_sparc.9s		\
-	 	ddi_dma_lim_x86.9s		\
-	 	ddi_dma_req.9s			\
 	 	ddi_dmae_req.9s			\
 	 	ddi_fm_error.9s			\
 	 	ddi_idevice_cookie.9s		\
@@ -92,7 +89,6 @@
 	 	usb_string_descr.9s
 
 MANLINKS=	dblk.9s		\
-		ddi_dma_lim.9s	\
 		intro.9s	\
 		mblk.9s
 
@@ -100,8 +96,6 @@
 
 dblk.9s		:= LINKSRC = datab.9s
 
-ddi_dma_lim.9s	:= LINKSRC = ddi_dma_lim_sparc.9s
-
 mblk.9s		:= LINKSRC = msgb.9s
 
 .KEEP_STATE:
--- old/usr/src/man/man9s/ddi_dma_lim_sparc.9s	Wed Feb 26 14:23:23 2014
+++ /dev/null	Wed Feb 26 13:44:32 2014
@@ -1,129 +0,0 @@
-'\" te
-.\" Copyright (c) 2005, Sun Microsystems, Inc. All Rights Reserved
-.\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License.
-.\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.  See the License for the specific language governing permissions and limitations under the License.
-.\" When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH DDI_DMA_LIM_SPARC 9S "Oct 12, 2005"
-.SH NAME
-ddi_dma_lim_sparc, ddi_dma_lim \- SPARC DMA limits structure
-.SH SYNOPSIS
-.LP
-.nf
-#include <sys/ddidmareq.h>
-.fi
-
-.SH INTERFACE LEVEL
-.sp
-.LP
-Solaris SPARC DDI specific (Solaris SPARC DDI). These interfaces are obsolete.
-.SH DESCRIPTION
-.sp
-.LP
-This page describes the SPARC version of the \fBddi_dma_lim\fR structure. See
-\fBddi_dma_lim_x86\fR(9S) for a description of the x86 version of this
-structure.
-.sp
-.LP
-A \fBddi_dma_lim\fR structure describes in a generic fashion the possible
-limitations of a device's \fBDMA\fR engine. This information is used by the
-system when it attempts to set up \fBDMA\fR resources for a device.
-.SH STRUCTURE MEMBERS
-.sp
-.in +2
-.nf
-uint_t  dlim_addr_lo; /* low range of 32 bit
-                                       addressing capability */
-uint_t  dlim_addr_hi;    /* inclusive upper bound of address.
-                             capability */
-uint_t  dlim_cntr_max;   /* inclusive upper bound of
-                            dma engine address limit * /
-uint_t  dlim_burstsizes; /* binary encoded dma burst sizes */
-uint_t  dlim_minxfer;    /* minimum effective dma xfer size */
-uint_t  dlim_dmaspeed;   /* average dma data rate (kb/s) */
-.fi
-.in -2
-
-.sp
-.LP
-The \fBdlim_addr_lo\fR and \fBdlim_addr_hi\fR fields specify the address range
-the device's \fBDMA\fR engine can access. The \fBdlim_addr_lo\fR field
-describes the lower 32-bit boundary of the device's \fBDMA\fR engine, the
-\fBdlim_addr_hi\fR describes the inclusive upper 32-bit boundary. The system
-allocates \fBDMA\fR resources in a way that the address for programming the
-device's \fBDMA\fR engine (see \fBddi_dma_cookie\fR(9S) or
-\fBddi_dma_htoc\fR(9F)) is within this range. For example, if your device can
-access the whole 32-bit address range, you may use  [\fB0\fR,\fB0xFFFFFFFF\fR].
-If your device has just a 16-bit address  register but will access the top of
-the 32-bit address range, then  [\fB0xFFFF0000\fR,\fB0xFFFFFFFF\fR] is the
-right limit.
-.sp
-.LP
-The \fBdlim_cntr_max\fR field describes an inclusive upper bound for the
-device's \fBDMA\fR engine address register. This handles a fairly common case
-where a portion of the address register is only a latch rather than a full
-register. For example, the upper 8 bits of a 32-bit address register can be a
-latch. This splits the address register into a portion that acts as a true
-address register (24 bits) for a 16 Mbyte segment and a latch (8 bits) to hold
-a segment number. To describe these limits, specify  \fB0xFFFFFF\fR in the
-\fBdlim_cntr_max\fR structure.
-.sp
-.LP
-The \fBdlim_burstsizes\fR field describes the possible burst sizes the device's
-\fBDMA\fR engine can accept. At the time of a \fBDMA\fR resource request, this
-element defines the possible \fBDMA\fR burst cycle sizes that the requester's
-\fBDMA\fR engine can handle. The format of the data is binary encoding of burst
-sizes assumed to be powers of two. That is, if a \fBDMA\fR engine is capable of
-doing 1-, 2-, 4-, and 16-byte transfers, the encoding ix 0x17. If the device is
-an SBus device and can take advantage of a 64-bit SBus, the lower 16 bits are
-used to specify the burst size for 32-bit transfers and the upper 16 bits are
-used to specify the burst size for 64-bit transfers. As the resource request is
-handled by the system, the \fBburstsizes\fR value can be modified. Prior to
-enabling \fBDMA\fR for the specific device, the driver that owns the \fBDMA\fR
-engine should check (using \fBddi_dma_burstsizes\fR(9F)) what the allowed
-\fBburstsizes\fR have become and program the \fBDMA\fR engine appropriately.
-.sp
-.LP
-The \fBdlim_minxfer\fR field describes the minimum effective \fBDMA\fR transfer
-size (in units of bytes). It must be a power of two. This value specifies the
-minimum effective granularity of the \fBDMA\fR engine. It is distinct from
-\fBdlim_burstsizes\fR in that it describes the minimum amount of access a
-\fBDMA\fR transfer will effect. \fBdlim_burstsizes\fR describes in what
-electrical fashion the \fBDMA\fR engine might perform its accesses, while
-\fBdlim_minxfer\fR describes the minimum amount of memory that can be touched
-by the \fBDMA\fR transfer. As a resource request is handled by the system, the
-\fBdlim_minxfer\fR value can be modified contingent upon the presence (and use)
-of \fBI/O \fRcaches and \fBDMA\fR write buffers in between the \fBDMA\fR engine
-and the object that \fBDMA\fR is being performed on. After \fBDMA\fR resources
-have been allocated, the resultant minimum transfer value can be gotten using
-\fBddi_dma_devalign\fR(9F).
-.sp
-.LP
-The field \fBdlim_dmaspeed\fR is the expected average data rate for the
-\fBDMA\fR engine (in units of kilobytes per second). Note that this should not
-be the maximum, or peak, burst data rate, but a reasonable guess as to the
-average throughput. This field is entirely optional and can be left as zero.
-Its intended use is to provide some hints about how much of the \fBDMA\fR
-resource this device might need.
-.SH ATTRIBUTES
-.sp
-.LP
-See \fBattributes\fR(5) for descriptions of the following attributes:
-.sp
-
-.sp
-.TS
-box;
-c | c
-l | l .
-ATTRIBUTE TYPE	ATTRIBUTE VALUE
-_
-Interface Stability	Obsolete
-.TE
-
-.SH SEE ALSO
-.sp
-.LP
-\fBddi_dma_addr_setup\fR(9F), \fBddi_dma_buf_setup\fR(9F),
-\fBddi_dma_burstsizes\fR(9F), \fBddi_dma_devalign\fR(9F),
-\fBddi_dma_htoc\fR(9F), \fBddi_dma_setup\fR(9F), \fBddi_dma_cookie\fR(9S),
-\fBddi_dma_lim_x86\fR(9S), \fBddi_dma_req\fR(9S)
--- old/usr/src/man/man9s/ddi_dma_lim_x86.9s	Wed Feb 26 14:23:23 2014
+++ /dev/null	Wed Feb 26 13:44:32 2014
@@ -1,148 +0,0 @@
-'\" te
-.\" Copyright (c) 2005, Sun Microsystems, Inc.
-.\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License.
-.\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.  See the License for the specific language governing permissions and limitations under the License.
-.\" When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH DDI_DMA_LIM_X86 9S "Oct 12, 2005"
-.SH NAME
-ddi_dma_lim_x86 \- x86 DMA limits structure
-.SH SYNOPSIS
-.LP
-.nf
-#include <sys/ddidmareq.h>
-.fi
-
-.SH INTERFACE LEVEL
-.sp
-.LP
-Solaris x86 DDI specific (Solaris x86 DDI). This interface is obsolete.
-.SH DESCRIPTION
-.sp
-.LP
-A \fBddi_dma_lim\fR structure describes in a generic fashion the possible
-limitations of a device or its \fBDMA\fR engine. This information is used by
-the system when it attempts to set up \fBDMA\fR resources for a device.  When
-the system is requested to perform a \fBDMA\fR transfer to or from an object,
-the request is broken up, if necessary, into multiple sub-requests. Each
-sub-request conforms to the limitations expressed in the \fBddi_dma_lim\fR
-structure.
-.sp
-.LP
-This structure should be filled in by calling the routine
-\fBddi_dmae_getlim\fR(9F). This routine sets the values of the structure
-members appropriately based on the characteristics of the \fBDMA\fR engine on
-the driver's parent bus.  If the driver has additional limitations, it can
-\fIfurther restrict\fR some of the values in the structure members.  A driver
-should \fInot relax\fR any restrictions imposed by \fBddi_dmae_getlim()\fR.
-.SH STRUCTURE MEMBERS
-.sp
-.in +2
-.nf
-uint_t  dlim_addr_lo;  /* low range of 32 bit
-                                        addressing capability */
-uint_t  dlim_addr_hi;  /* inclusive upper bound of
-                          addressing capability */
-uint_t  dlim_minxfer;  /* minimum effective dma transfer size */
-uint_t  dlim_version;  /* version number of structure */
-uint_t  dlim_adreg_max; /* inclusive upper bound of
-                            incrementing addr reg */
-uint_t  dlim_ctreg_max; /* maximum transfer count minus one */
-uint_t  dlim_granular; /* granularity (and min size) of
-                          transfer count */
-short  dlim_sgllen;    /* length of DMA scatter/gather list */
-uint_t  dlim_reqsize;  /* maximum transfer size in bytes of
-                          a single I/O */
-.fi
-.in -2
-
-.sp
-.LP
-The \fBdlim_addr_lo\fR and \fBdlim_addr_hi\fR fields specify the address range
-that the device's \fBDMA\fR engine can access. The \fBdlim_addr_lo\fR field
-describes the lower 32-bit boundary of the device's \fBDMA\fR engine. The
-\fBdlim_addr_hi\fR member describes the inclusive, upper 32-bit boundary. The
-system allocates \fBDMA\fR resources in a way that the address for programming
-the device's \fBDMA\fR engine will be within this range. For example, if your
-device can access the whole 32-bit address range, you can use
-[\fB0,0xFFFFFFFF\fR]. See \fBddi_dma_cookie\fR(9S) or
-\fBddi_dma_segtocookie\fR(9F).
-.sp
-.LP
-The \fBdlim_minxfer\fR field describes the minimum effective \fBDMA\fR transfer
-size (in units of bytes), which must be a power of two. This value specifies
-the minimum effective granularity of the \fBDMA\fR engine and describes the
-minimum amount of memory that can be touched by the \fBDMA\fR transfer. As a
-resource request is handled by the system, the \fBdlim_minxfer\fR value can be
-modified. This modification is contingent upon the presence (and use) of
-\fBI/O\fRcaches and \fBDMA\fR write buffers between the \fBDMA\fR engine and
-the object that \fBDMA\fR is being performed on. After \fBDMA\fR resources have
-been allocated, you can retrieve the resultant minimum transfer value using
-\fBddi_dma_devalign\fR(9F).
-.sp
-.LP
-The \fBdlim_version\fR field specifies the version number of this structure.
-Set this field to \fBDMALIM_VER0\fR.
-.sp
-.LP
-The \fBdlim_adreg_max\fR field describes an inclusive upper bound for the
-device's \fBDMA\fR engine address register. This bound handles a fairly common
-case where a portion of the address register is simply a latch rather than a
-full register. For example, the upper 16 bits of a 32-bit address register
-might be a latch. This splits the address register into a portion that acts as
-a true address register (lower 16 bits) for a 64-kilobyte segment and a latch
-(upper 16 bits) to hold a segment number. To describe these limits, you specify
-\fB0xFFFF\fR in the \fBdlim_adreg_max\fR structure member.
-.sp
-.LP
-The \fBdlim_ctreg_max\fR field specifies the maximum transfer count that the
-\fBDMA\fR engine can handle in one segment or cookie.  The limit is expressed
-as the maximum count minus one. This transfer count limitation is a per-segment
-limitation.  Because the limitation is used as a bit mask, it must be one less
-than a power of two.
-.sp
-.LP
-The \fBdlim_granular\fR field describes the granularity of the device's
-\fBDMA\fR transfer ability, in units of bytes. This value is used to specify,
-for example, the sector size of a mass storage device. \fBDMA\fR requests are
-broken into multiples of this value. If there is no scatter/gather capability,
-then the size of each \fBDMA\fR transfer will be a multiple of this value. If
-there is scatter/gather capability, then a single segment cannot be smaller
-than the minimum transfer value, but can be less than the granularity. However,
-the total transfer length of the scatter/gather list is a multiple of the
-granularity value.
-.sp
-.LP
-The  \fBdlim_sgllen\fR field specifies the maximum number of entries in the
-scatter/gather list. This value is the number of segments or cookies that the
-\fBDMA\fR engine can consume in one I/O request to the device. If the \fBDMA\fR
-engine has no scatter/gather list, set this field to one.
-.sp
-.LP
-The \fBdlim_reqsize\fR field describes the maximum number of bytes that the
-\fBDMA\fR engine can transmit or receive in one I/O command. This limitation is
-only significant if it is less than ( \fBdlim_ctreg_max\fR +1) *
-\fBdlim_sgllen\fR. If the \fBDMA\fR engine has no particular limitation, set
-this field to \fB0xFFFFFFFF\fR.
-.SH ATTRIBUTES
-.sp
-.LP
-See \fBattributes\fR(5) for descriptions of the following attributes:
-.sp
-
-.sp
-.TS
-box;
-c | c
-l | l .
-ATTRIBUTE TYPE	ATTRIBUTE VALUE
-_
-Interface Stability	Obsolete
-.TE
-
-.SH SEE ALSO
-.sp
-.LP
-\fBddi_dmae\fR(9F), \fBddi_dma_addr_setup\fR(9F), \fBddi_dma_buf_setup\fR(9F),
-\fBddi_dma_devalign\fR(9F), \fBddi_dma_segtocookie\fR(9F),
-\fBddi_dma_setup\fR(9F), \fBddi_dma_cookie\fR(9S), \fBddi_dma_lim_sparc\fR(9S),
-\fBddi_dma_req\fR(9S)
--- old/usr/src/man/man9s/ddi_dma_req.9s	Wed Feb 26 14:23:23 2014
+++ /dev/null	Wed Feb 26 13:44:32 2014
@@ -1,222 +0,0 @@
-'\" te
-.\" Copyright (c) 2005, Sun Microsystems, Inc., All Rights Reserved
-.\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License.
-.\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.  See the License for the specific language governing permissions and limitations under the License.
-.\" When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH DDI_DMA_REQ 9S "Oct 12, 2005"
-.SH NAME
-ddi_dma_req \- DMA Request structure
-.SH SYNOPSIS
-.LP
-.nf
-#include <sys/ddidmareq.h>
-.fi
-
-.SH INTERFACE LEVEL
-.sp
-.LP
-Solaris DDI specific (Solaris DDI). This interface is obsolete.
-.SH DESCRIPTION
-.sp
-.LP
-A \fBddi_dma_req\fR structure describes a request for \fBDMA\fR resources. A
-driver can use it to describe forms of allocations and ways to allocate
-\fBDMA\fR resources for a \fBDMA\fR request.
-.SH STRUCTURE MEMBERS
-.sp
-.in +2
-.nf
-ddi_dma_lim_t  *dmar_limits;       /* Caller's dma engine
-                                      constraints */
-uint_t         dmar_flags;         /* Contains info for
-                                      mapping routines */
-int            (*dmar_fp)(caddr_t);/* Callback function */
-caddr_t        dmar_arg;           /* Callback function's argument */
-ddi_dma_obj_t  dmar_object;        /* Descrip. of  object
-                                      to be mapped */
-.fi
-.in -2
-
-.sp
-.LP
-For the definition of the \fBDMA\fR limits structure, which \fBdmar_limits\fR
-points to, see \fBddi_dma_lim_sparc\fR(9S) or \fBddi_dma_lim_x86\fR(9S).
-.sp
-.LP
-Valid values for \fBdmar_flags\fR are:
-.sp
-.in +2
-.nf
-DDI_DMA_WRITE         /* Direction memory --> IO */
-DDI_DMA_READ          /* Direction IO --> memory */
-DDI_DMA_RDWR          /* Both read and write */
-DDI_DMA_REDZONE       /* Establish MMU redzone at end of mapping */
-DDI_DMA_PARTIAL       /* Partial mapping is allowed */
-DDI_DMA_CONSISTENT    /* Byte consistent access wanted */
-DDI_DMA_SBUS_64BIT    /* Use 64 bit capability on SBus */
-.fi
-.in -2
-
-.sp
-.LP
-\fBDDI_DMA_WRITE\fR, \fBDDI_DMA_READ\fR, and \fBDDI_DMA_RDWR\fR describe the
-intended direction of the \fBDMA \fRtransfer. Some implementations might
-explicitly disallow \fBDDI_DMA_RDWR\fR.
-.sp
-.LP
-\fBDDI_DMA_REDZONE\fR asks the system to establish a protected  \fBred zone\fR
-after the object. The \fBDMA\fR resource allocation functions do not guarantee
-the success of this request, as some implementations might not have the
-hardware ability to support it.
-.sp
-.LP
-\fBDDI_DMA_PARTIAL\fR lets the system know that the caller can accept partial
-mapping. That is, if the size of the object exceeds the resources available,
-the system allocates only a portion of the object and returns status indicating
-this partial allocation. At a later point, the caller can use
-\fBddi_dma_curwin\fR(9F) and \fBddi_dma_movwin\fR(9F) to change the valid
-portion of the object that has resources allocated.
-.sp
-.LP
-\fBDDI_DMA_CONSISTENT\fR gives a hint to the system that the object should be
-mapped for  \fBbyte consistent\fR access. Normal data transfers usually use a
-\fBstreaming\fR mode of operation. They start at a specific point, transfer a
-fairly large amount of data sequentially, and then stop, usually on an aligned
-boundary. Control mode data transfers for memory-resident device control blocks
-(for example, Ethernet message descriptors) do not access memory in such a
-sequential fashion. Instead, they tend to modify a few words or bytes, move
-around and maybe modify a few more.
-.sp
-.LP
-Many machine implementations make this non-sequential memory access difficult
-to control in a generic and seamless fashion. Therefore, explicit
-synchronization steps using \fBddi_dma_sync\fR(9F) or \fBddi_dma_free\fR(9F)
-are required to make the view of a memory object shared between a \fBCPU \fRand
-a \fBDMA\fR device consistent. However, proper use of the
-\fBDDI_DMA_CONSISTENT\fR flag can create a condition in which a system will
-pick resources in a way that makes these synchronization steps are as efficient
-as possible.
-.sp
-.LP
-\fBDDI_DMA_SBUS_64BIT\fR tells the system that the device can perform 64-bit
-transfers on a 64-bit SBus. If the SBus does not support 64-bit data transfers,
-data will be transferred in 32-bit mode.
-.sp
-.LP
-The callback function specified by the member \fBdmar_fp\fR indicates how a
-caller to one of the \fBDMA\fR resource allocation functions wants to deal with
-the possibility of resources not being available. (See
-\fBddi_dma_setup\fR(9F).) If \fBdmar_fp\fR is set to \fBDDI_DMA_DONTWAIT\fR,
-then the caller does not care if the allocation fails, and can deal with an
-allocation failure appropriately. Setting \fBdmar_fp\fR to \fBDDI_DMA_SLEEP\fR
-indicates the caller wants to have the allocation routines wait for resources
-to become available. If any other value is set, and a \fBDMA\fR resource
-allocation fails, this value is assumed to be a function to call later, when
-resources become available. When the specified function is called, it is passed
-the value set in the structure member \fBdmar_arg\fR. The specified callback
-function \fBmust\fR return either:
-.sp
-.ne 2
-.na
-\fB\fB0\fR\fR
-.ad
-.RS 5n
-Indicating that it attempted to allocate a \fBDMA\fR resource but failed to do
-so, again, in which case the callback function will be put back on a list to be
-called again later.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB1\fR\fR
-.ad
-.RS 5n
-Indicating either success at allocating \fBDMA\fR resources or that it no
-longer wants to retry.
-.RE
-
-.sp
-.LP
-The callback function is called in interrupt context. Therefore, only system
-functions and contexts that are accessible from interrupt context are
-available. The callback function must take whatever steps necessary to protect
-its critical resources, data structures, and queues.
-.sp
-.LP
-It is possible that a call to \fBddi_dma_free\fR(9F), which frees \fBDMA\fR
-resources, might cause a callback function to be called and, unless some care
-is taken, an undesired recursion can occur. This can cause an undesired
-recursive \fBmutex_enter\fR(9F), which makes the system panic.
-.SS "dmar_object Structure"
-.sp
-.LP
-The \fBdmar_object\fR member of the \fBddi_dma_req\fR structure is itself a
-complex and extensible structure:
-.sp
-.in +2
-.nf
-uint_t            dmao_size;     /* size, in bytes, of the object */
-ddi_dma_atyp_t    dmao_type;     /* type of object */
-ddi_dma_aobj_t    dmao_obj;      /* the object described */
-.fi
-.in -2
-
-.sp
-.LP
-The  \fBdmao_size\fR element is the size, in bytes, of the object resources
-allocated for \fBDMA\fR.
-.sp
-.LP
-The \fBdmao_type\fR element selects the kind of object described by
-\fBdmao_obj\fR. It can be set to \fBDMA_OTYP_VADDR\fR, indicating virtual
-addresses.
-.sp
-.LP
-The last element, \fBdmao_obj\fR, consists of the virtual address type:
-.sp
-.in +2
-.nf
-struct v_address virt_obj;
-.fi
-.in -2
-
-.sp
-.LP
-It is specified as:
-.sp
-.in +2
-.nf
-struct v_address {
-      caddr_t      v_addr;   /* base virtual address */
-      struct as    *v_as;    /* pointer to address space */
-      void         *v_priv;  /* priv data for shadow I/O */
-};
-.fi
-.in -2
-
-.SH ATTRIBUTES
-.sp
-.LP
-See \fBattributes\fR(5) for descriptions of the following attributes:
-.sp
-
-.sp
-.TS
-box;
-c | c
-l | l .
-ATTRIBUTE TYPE	ATTRIBUTE VALUE
-_
-Interface Stability	Obsolete
-.TE
-
-.SH SEE ALSO
-.sp
-.LP
-\fBddi_dma_addr_setup\fR(9F), \fBddi_dma_buf_setup\fR(9F),
-\fBddi_dma_curwin\fR(9F), \fBddi_dma_free\fR(9F), \fBddi_dma_movwin\fR(9F),
-\fBddi_dma_setup\fR(9F), \fBddi_dma_sync\fR(9F), \fBmutex\fR(9F)
-.sp
-.LP
-\fIWriting Device Drivers\fR
--- old/usr/src/pkg/manifests/system-kernel.man9s.inc	Wed Feb 26 14:23:24 2014
+++ new/usr/src/pkg/manifests/system-kernel.man9s.inc	Wed Feb 26 14:23:24 2014
@@ -24,9 +24,6 @@
 file path=usr/share/man/man9s/ddi_device_acc_attr.9s
 file path=usr/share/man/man9s/ddi_dma_attr.9s
 file path=usr/share/man/man9s/ddi_dma_cookie.9s
-file path=usr/share/man/man9s/ddi_dma_lim_sparc.9s
-file path=usr/share/man/man9s/ddi_dma_lim_x86.9s
-file path=usr/share/man/man9s/ddi_dma_req.9s
 file path=usr/share/man/man9s/ddi_dmae_req.9s
 file path=usr/share/man/man9s/ddi_fm_error.9s
 file path=usr/share/man/man9s/ddi_idevice_cookie.9s
@@ -72,6 +69,5 @@
 file path=usr/share/man/man9s/tuple.9s
 file path=usr/share/man/man9s/uio.9s
 link path=usr/share/man/man9s/dblk.9s target=datab.9s
-link path=usr/share/man/man9s/ddi_dma_lim.9s target=ddi_dma_lim_sparc.9s
 link path=usr/share/man/man9s/intro.9s target=Intro.9s
 link path=usr/share/man/man9s/mblk.9s target=msgb.9s
--- old/usr/src/uts/common/io/pcic.c	Wed Feb 26 14:23:24 2014
+++ new/usr/src/uts/common/io/pcic.c	Wed Feb 26 14:23:24 2014
@@ -111,10 +111,8 @@
 int pci_resource_setup_avail(dev_info_t *, pci_regspec_t *, int);
 
 /*
- * On x86 platforms the ddi_iobp_alloc(9F) and ddi_mem_alloc(9F) calls
- * are xlated into DMA ctlops. To make this nexus work on x86, we
- * need to have the default ddi_dma_mctl ctlops in the bus_ops
- * structure, just to pass the request to the parent. The correct
+ * To make this nexus work on x86, we need to have the default ddi_dma_mctl
+ * ctlops in the bus_ops structure, just to pass the request to the parent.
  * ctlops should be ddi_no_dma_mctl because so far we don't do DMA.
  */
 static
--- old/usr/src/uts/common/io/scsi/impl/scsi_resource.c	Wed Feb 26 14:23:24 2014
+++ new/usr/src/uts/common/io/scsi/impl/scsi_resource.c	Wed Feb 26 14:23:24 2014
@@ -78,8 +78,6 @@
 		/*
 		 * use i_ddi_mem_alloc() for now until we have an interface to
 		 * allocate memory for DMA which doesn't require a DMA handle.
-		 * ddi_iopb_alloc() is obsolete and we want more flexibility in
-		 * controlling the DMA address constraints.
 		 */
 		while (i_ddi_mem_alloc(pdip, &scsi_alloc_attr, datalen,
 		    ((callback == SLEEP_FUNC) ? 1 : 0), 0, NULL,
--- old/usr/src/uts/common/io/scsi/impl/scsi_subr.c	Wed Feb 26 14:23:24 2014
+++ new/usr/src/uts/common/io/scsi/impl/scsi_subr.c	Wed Feb 26 14:23:24 2014
@@ -343,9 +343,7 @@
 
 	/*
 	 * use i_ddi_mem_alloc() for now until we have an interface to allocate
-	 * memory for DMA which doesn't require a DMA handle. ddi_iopb_alloc()
-	 * is obsolete and we want more flexibility in controlling the DMA
-	 * address constraints.
+	 * memory for DMA which doesn't require a DMA handle.
 	 */
 	if (i_ddi_mem_alloc(pdip, &scsi_alloc_attr, datalen,
 	    ((func == SLEEP_FUNC) ? 1 : 0), 0, NULL, &local.b_un.b_addr, &rlen,
--- old/usr/src/uts/common/io/scsi/targets/st.c	Wed Feb 26 14:23:24 2014
+++ new/usr/src/uts/common/io/scsi/targets/st.c	Wed Feb 26 14:23:24 2014
@@ -1690,9 +1690,7 @@
 
 	/*
 	 * use i_ddi_mem_alloc() for now until we have an interface to allocate
-	 * memory for DMA which doesn't require a DMA handle. ddi_iopb_alloc()
-	 * is obsolete and we want more flexibility in controlling the DMA
-	 * address constraints.
+	 * memory for DMA which doesn't require a DMA handle.
 	 */
 	(void) i_ddi_mem_alloc(devp->sd_dev, &st_alloc_attr,
 	    sizeof (struct seq_mode), ((km_flags == KM_SLEEP) ? 1 : 0), 0,
--- old/usr/src/uts/common/io/warlock/ddi_dki_comm.inc	Wed Feb 26 14:23:25 2014
+++ new/usr/src/uts/common/io/warlock/ddi_dki_comm.inc	Wed Feb 26 14:23:25 2014
@@ -24,7 +24,8 @@
  */
 
 /*
- * Copyright 2012 Garrett D'Amore <garrett@damore.org>.  All rights reserved.
+ * Copyright 2012 Garrett D'Amore <garrett@damore.org>.
+ * Copyright 2014 Pluribus Networks, Inc.
  */
 
 /*
@@ -127,38 +128,6 @@
 	thread_create(0, 0, (void (*)())handler, 0, 0, 0, 0, 0);
 }
 
-int
-ddi_dma_addr_setup(
-	dev_info_t *a,
-	struct as *b,
-	caddr_t c,
-	size_t d,
-	uint_t e,
-	int (*fp)(void),
-	caddr_t f,
-	ddi_dma_lim_t *g,
-	ddi_dma_handle_t *h)
-{
-	struct bus_ops *ops;
-	(*ops->bus_dma_map)(0, 0, 0, 0);
-	thread_create(0, 0, (void (*)())fp, 0, 0, 0, 0, 0);
-}
-
-int
-ddi_dma_buf_setup(
-	dev_info_t *a,
-	struct buf *b,
-	uint_t c,
-	int (*fp)(void),
-	caddr_t d,
-	ddi_dma_lim_t *e,
-	ddi_dma_handle_t *f)
-{
-	struct bus_ops *ops;
-	(*ops->bus_dma_map)(0, 0, 0, 0);
-	thread_create(0, 0, (void (*)())fp, 0, 0, 0, 0, 0);
-}
-
 void
 ddi_set_callback(
 	int (*fp)(caddr_t),
@@ -180,16 +149,6 @@
 }
 
 int
-ddi_dma_setup(
-	dev_info_t *a,
-	struct ddi_dma_req *b,
-	ddi_dma_handle_t *c)
-{
-	struct bus_ops *ops;
-	(*ops->bus_dma_map)(0, 0, 0, 0);
-}
-
-int
 ddi_dma_mctl(dev_info_t *a, dev_info_t *b, ddi_dma_handle_t c,
 	enum ddi_dma_ctlops d, off_t *e, size_t *f, caddr_t *g,
 	uint_t h)
@@ -199,81 +158,9 @@
 }
 
 int
-ddi_dma_kvaddrp(ddi_dma_handle_t h, off_t off, size_t len, caddr_t *kp)
-{
-	struct bus_ops *ops;
-	(*ops->bus_dma_ctl)(0, 0, 0, 0, 0, 0, 0, 0);
-}
-
-int
-ddi_dma_htoc(ddi_dma_handle_t h, off_t o, ddi_dma_cookie_t *c)
-{
-	struct bus_ops *ops;
-	(*ops->bus_dma_ctl)(0, 0, 0, 0, 0, 0, 0, 0);
-}
-
-int
-ddi_dma_coff(ddi_dma_handle_t h, ddi_dma_cookie_t *c, off_t *o)
-{
-	struct bus_ops *ops;
-	(*ops->bus_dma_ctl)(0, 0, 0, 0, 0, 0, 0, 0);
-}
-
-int
-ddi_dma_get_error(ddi_dma_handle_t h, uint_t len, caddr_t errblk)
-{
-	struct bus_ops *ops;
-	(*ops->bus_dma_ctl)(0, 0, 0, 0, 0, 0, 0, 0);
-}
-
-int
-ddi_dma_segtocookie(ddi_dma_seg_t seg, off_t *o, off_t *l,
-    ddi_dma_cookie_t *cookiep)
-{
-	struct bus_ops *ops;
-	(*ops->bus_dma_ctl)(0, 0, 0, 0, 0, 0, 0, 0);
-}
-
-int
 ddi_dma_sync(ddi_dma_handle_t h, off_t o, size_t l, uint_t whom)
 {
 	struct bus_ops *ops;
-	(*ops->bus_dma_ctl)(0, 0, 0, 0, 0, 0, 0, 0);
-}
-
-int
-ddi_dma_free(ddi_dma_handle_t h)
-{
-	struct bus_ops *ops;
-	(*ops->bus_dma_ctl)(0, 0, 0, 0, 0, 0, 0, 0);
-}
-
-int
-ddi_iopb_alloc(dev_info_t *dip, ddi_dma_lim_t *limp, uint_t len, caddr_t *iopbp)
-{
-	struct bus_ops *ops;
-	(*ops->bus_dma_ctl)(0, 0, 0, 0, 0, 0, 0, 0);
-}
-
-void
-ddi_iopb_free(caddr_t iopb)
-{
-	struct bus_ops *ops;
-	(*ops->bus_dma_ctl)(0, 0, 0, 0, 0, 0, 0, 0);
-}
-
-int
-ddi_mem_alloc(dev_info_t *dip, ddi_dma_lim_t *limits, uint_t length,
-	uint_t flags, caddr_t *kaddrp, uint_t *real_length)
-{
-	struct bus_ops *ops;
-	(*ops->bus_dma_ctl)(0, 0, 0, 0, 0, 0, 0, 0);
-}
-
-void
-ddi_mem_free(caddr_t kaddr)
-{
-	struct bus_ops *ops;
 	(*ops->bus_dma_ctl)(0, 0, 0, 0, 0, 0, 0, 0);
 }
 
--- old/usr/src/uts/common/sys/ddidmareq.h	Wed Feb 26 14:23:25 2014
+++ new/usr/src/uts/common/sys/ddidmareq.h	Wed Feb 26 14:23:25 2014
@@ -691,9 +691,8 @@
  * the memory object is done (over the range specified by
  * the other arguments to the ddi_dma_sync(9F) call).
  *
- * If the only mapping that concerns the driver is one for the
- * kernel (such as memory allocated by ddi_iopb_alloc(9F)), the
- * flag DDI_DMA_SYNC_FORKERNEL can be used. This is a hint to the
+ * If the only mapping that concerns the driver is one for the kernel,
+ * the flag DDI_DMA_SYNC_FORKERNEL can be used. This is a hint to the
  * system that if it can synchronize the kernel's view faster
  * that the CPU's view, it can do so, otherwise it acts the
  * same as DDI_DMA_SYNC_FORCPU. DDI_DMA_SYNC_FORKERNEL might
--- old/usr/src/uts/common/sys/scsi/conf/device.h	Wed Feb 26 14:23:25 2014
+++ new/usr/src/uts/common/sys/scsi/conf/device.h	Wed Feb 26 14:23:25 2014
@@ -99,9 +99,6 @@
 	 * structure will be allocated and an INQUIRY command will be run to
 	 * fill it in.
 	 *
-	 * The allocation will be done via ddi_iopb_alloc, so any manual
-	 * freeing may be done by ddi_iopb_free.
-	 *
 	 * The inquiry data is allocated/refreshed by scsi_probe/scsi_slave
 	 * and freed by uninitchild (inquiry data is no longer freed by
 	 * scsi_unprobe/scsi_unslave).
--- old/usr/src/uts/common/sys/sunddi.h	Wed Feb 26 14:23:25 2014
+++ new/usr/src/uts/common/sys/sunddi.h	Wed Feb 26 14:23:25 2014
@@ -1219,8 +1219,8 @@
  * as necessary).
  *
  * The function ddi_dma_sync() provides the general interface with
- * respect to this capability. Generally, ddi_dma_free() (below) may
- * be used in preference to ddi_dma_sync() as ddi_dma_free() calls
+ * respect to this capability. Generally, ddi_dma_unbind_handle()
+ * (below) may be used in preference to ddi_dma_sync() as it calls
  * ddi_dma_sync().
  *
  * Returns 0 if all caches that exist and are specified by cache_flags
@@ -1245,7 +1245,7 @@
  * +	When an object is mapped for dma, assume that an
  *	implicit ddi_dma_sync() is done for you.
  *
- * +	When an object is unmapped (ddi_dma_free()), assume
+ * +	When an object is unmapped (ddi_dma_unbind_handle()), assume
  *	that an implicit ddi_dma_sync() is done for you.
  *
  * +	At any time between the two times above that the
--- old/usr/src/uts/intel/io/dktp/dcdev/dadk.c	Wed Feb 26 14:23:25 2014
+++ new/usr/src/uts/intel/io/dktp/dcdev/dadk.c	Wed Feb 26 14:23:25 2014
@@ -1050,9 +1050,7 @@
 	bp->b_un.b_addr = 0;
 	/*
 	 * use i_ddi_mem_alloc() for now until we have an interface to allocate
-	 * memory for DMA which doesn't require a DMA handle. ddi_iopb_alloc()
-	 * is obsolete and we want more flexibility in controlling the DMA
-	 * address constraints..
+	 * memory for DMA which doesn't require a DMA handle.
 	 */
 	if (i_ddi_mem_alloc((dadkp->dad_sd)->sd_dev, &dadk_alloc_attr,
 	    (size_t)iobp->b_pbytecnt, ((kmsflg == KM_SLEEP) ? 1 : 0), 0, NULL,
